Exclude Products from Contract Price Book
POST https://api.secure.quotivity.com/v1/pricebooks/{priceBookId}/excludeMakes products unavailable on a contract price book in every currency, even though its parent prices them. Requires the CONTRACT_PRICE_BOOKS feature.
Send your API key in the x-api-key header. See Generating API keys.
Path parameters
Section titled “Path parameters”| Name | Type | Required | Description |
|---|---|---|---|
priceBookId |
string | Yes | — |
Request body
Section titled “Request body”Required, application/json: PriceBookProductIdsRequest
Responses
Section titled “Responses”| Status | Body | Description |
|---|---|---|
200 |
PriceBookProductIdsResponse | Products updated |
400 |
— | Not a contract price book (EXCLUDE_REQUIRES_CONTRACT_BOOK), or the CONTRACT_PRICE_BOOKS feature is not enabled |
401 |
— | Unauthorized |
404 |
— | Price book not found |
500 |
— | Internal Server Error |
Schemas
Section titled “Schemas”PriceBookProductIdsRequest
Section titled “PriceBookProductIdsRequest”| Field | Type | Required | Description |
|---|---|---|---|
productIds |
string[] | Yes | — |
PriceBookProductIdsResponse
Section titled “PriceBookProductIdsResponse”| Field | Type | Required | Description |
|---|---|---|---|
productIds |
string[] | Yes | — |
excluded |
boolean | Yes | — |
Ask the help center
Answers come from these guides, with links to the articles used.
Ask anything about configuring quoting in Quotivity Studio.